#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - eisxen installation
#
# Creation   : 2009-06-11 schlotze
# Last update: $Id: install.sh 20056 2009-06-11 17:35:58Z schlotze $
#
# Copyright (c) 2009 the eisfair team, <team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

## user for debug:
#exec 2> /tmp/eisxen-install$$.log
#set -x

# include eislib
. /var/install/include/eislib

### -------------------------------------------------------------------------
### create symlinks
### -------------------------------------------------------------------------
ln -sf /usr/lib/libxenstore.so.3.0   /usr/lib/libxenstore.so 
ln -sf /usr/lib/libxenstore.so.3.0.0 /usr/lib/libxenstore.so.3.0 
ln -sf /usr/lib/libflask.so.1.0.0    /usr/lib/libflask.so.1.0 
ln -sf /usr/lib/libblktap.so.3.0     /usr/lib/libblktap.so 
ln -sf /usr/lib/libxenguest.so.3.2.0 /usr/lib/libxenguest.so.3.2 
ln -sf /usr/lib/libfsimage.so.1.0    /usr/lib/libfsimage.so 
ln -sf /usr/lib/libxenctrl.so.3.2    /usr/lib/libxenctrl.so 
ln -sf /usr/lib/libflask.so.1.0      /usr/lib/libflask.so 
ln -sf /usr/lib/libxenctrl.so.3.2.0  /usr/lib/libxenctrl.so.3.2 
ln -sf /usr/lib/libxenguest.so.3.2   /usr/lib/libxenguest.so 
ln -sf /usr/lib/libfsimage.so.1.0.0  /usr/lib/libfsimage.so.1.0 
ln -sf /usr/lib/libblktap.so.3.0.0   /usr/lib/libblktap.so.3.0 
ln -sf /boot/xen-3.3.1.gz            /boot/xen-3.gz 
ln -sf /boot/xen-3.3.1.gz            /boot/xen-3.3.gz 
ln -sf /boot/xen-3.3.1.gz            /boot/xen.gz
ln -sf /etc/udev/xen-backend.rules   /etc/udev/rules.d/xen-backend.rules

ldconfig 2>/dev/null

### -------------------------------------------------------------------------
### add menu
### -------------------------------------------------------------------------
#/var/install/bin/add-menu setup.services.menu setup.services.clamav.menu "ClamAV"

exit 0
